GenericNodeKey

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.java
Class GenericNodeKey

    java.lang.Object
      org.openswing.swing.pivottable.java.GenericNodeKey

All Implemented Interfaces:
  java.io.Serializable

public class GenericNodeKey
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Key of path of nodes.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`GenericNodeKey()`
`GenericNodeKey(java.lang.Object[] path, int hashCode)`

Method Summary
`GenericNodeKey` | `appendKey(java.lang.Object node)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getLastNode()`
`java.lang.Object[]` | `getPath()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericNodeKey

    public GenericNodeKey(java.lang.Object[] path,
                          int hashCode)

### GenericNodeKey

    public GenericNodeKey()

Method Detail

### getPath

    public final java.lang.Object[] getPath()

### getLastNode

    public final java.lang.Object getLastNode()

### appendKey

    public final GenericNodeKey appendKey(java.lang.Object node)

### equals

    public final boolean equals(java.lang.Object obj)

### hashCode

    public final int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD